Slack Oauth Link
GET
/api/auth/slack/link
const url = 'https://example.com/api/auth/slack/link';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/auth/slack/link \ --header 'Authorization: Bearer <token>'Initiate Slack OAuth to link a Slack identity to an existing account.
Unlike /auth/slack/authorize (which creates/logs in), this flow attaches
the Slack identity to the currently authenticated user. A CSRF token in
the OAuth state param prevents forgery.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
example